Vslm Storage Lifecycle Manager Vslm Query Datastore Info

Vslm Storage Lifecycle Manager Vslm Query Datastore Info
Query the mapping of *Datacenter* and *Datastore* for a specified datastore url.

Query the mapping of Datacenter and Datastore for a specified datastore url.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vslm/VslmStorageLifecycleManager/{moId}/VslmQueryDatastoreInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VslmStorageLifecycleManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VslmQueryDatastoreInfoRequestType of type(s) application/json
Required
{
    "datastoreUrl": "string"
}
string
datastoreUrl
Required

The datastore URL as specified in DatastoreInfo.url

Authentication
This operation uses the following authentication methods.
Responses
200

Returns array of VslmQueryDatastoreInfoResult representing the mapping between datastores and datacenters.

[
    {
        "_typeName": "string",
        "datacenter": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "datastore": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    }
]
array of object
Optional

The VslmQueryDatastoreInfoResult provides mapping information between Datacenter and Datastore.

This API is returned as a result of VslmQueryDatastoreInfo invocation.

This structure may be used only with operations rendered under /vslm.


500

NotFound: If the specified datastoreUrl cannot be found.

VslmFault: If a VSLM internal server error occurred.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"datastoreUrl":"string"}' https://{api_host}/sdk/vim25/{release}/vslm/VslmStorageLifecycleManager/{moId}/VslmQueryDatastoreInfo